#
# spec file for package trytond_currency
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2014-2021 Dr. Axel Braun
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define majorver 6.0
Name:           trytond_currency
Version:        %{majorver}.5
Release:        bp155.2.6.1
Summary:        The "currency" module for the Tryton ERP system
License:        GPL-3.0-only
Group:          Productivity/Office/Management
URL:            http://www.tryton.org/
Source:         http://downloads.tryton.org/%{majorver}/%{name}-%{version}.tar.gz
Source2:        http://downloads.tryton.org/%{majorver}/%{name}-%{version}.tar.gz.asc
Source3:        https://keybase.io/cedrickrier/pgp_keys.asc?fingerprint=7C5A4360F6DF81ABA91FD54D6FF50AFE03489130#/%{name}.keyring
# List of additional build dependencies
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python3-setuptools
Requires:       trytond

BuildArch:      noarch

%description
The currency module defines the concepts of currency and rate
in the Tryton application platform.

%prep
%setup -q

%build
%python3_build

%install
%python3_install
%fdupes -s %{buildroot}

%files
%defattr(-,root,root)
%{python3_sitelib}/*
%attr(755,root,tryton) %{_bindir}/trytond_import_currencies

%changelog
* Sat Nov 18 2023 Axel Braun <axel.braun@gmx.de>
- Version 6.0.5 - Bugfix Release
* Sat Nov  4 2023 Axel Braun <axel.braun@gmx.de>
- Version 6.0.5 - Bugfix Release
* Thu Oct 19 2023 Daniel Garcia Moreno <daniel.garcia@suse.com>
- Remove %%python3_install prefix and root options, that's included in
  the macro by default.
* Thu Jun 22 2023 Axel Braun <axel.braun@gmx.de>
- Version 6.0.5 - Bugfix Release
* Tue Jan  3 2023 Axel Braun <axel.braun@gmx.de>
- Version 6.0.4 - Bugfix Release
* Fri Nov 18 2022 Axel Braun <axel.braun@gmx.de>
- Version 6.0.3 - Bugfix Release
* Sun Nov  6 2022 Axel Braun <axel.braun@gmx.de>
- Version 6.0.2 - Bugfix Release
* Sat Feb 12 2022 Axel Braun <axel.braun@gmx.de>
- Version bump to Tryton 6.0 series
* Fri Jun 18 2021 Axel Braun <axel.braun@gmx.de>
- Version 5.0.6 - Bugfix Release
* Mon May 10 2021 Axel Braun <axel.braun@gmx.de>
- Version 5.0.5 - Bugfix Release
* Sat Feb 27 2021 Andreas Stieger <andreas.stieger@gmx.de>
- add upstream signing key and validate source signature
* Sun Jan 24 2021 Axel Braun <axel.braun@gmx.de>
- Adaption to new python macros
* Sat Apr  4 2020 Axel Braun <axel.braun@gmx.de>
- Version 5.0.4 - Bugfix Release
* Thu Nov 21 2019 Axel Braun <axel.braun@gmx.de>
- version 5.0.3 (GNU Health 3.6 series)
* Tue Aug 20 2019 Axel Braun <axel.braun@gmx.de>
- Version 4.6.2 - Bugfix Release
* Sat May 12 2018 axel.braun@gmx.de
- Version 4.6.1 - Bugfix Release
* Sat May 12 2018 axel.braun@gmx.de
- Version 4.2.2 - Bugfix Release
* Sat Sep  9 2017 axel.braun@gmx.de
- Version 4.2.1 - Bugfix Release
* Mon Nov 28 2016 axel.braun@gmx.de 
- Tryton Release 4.2
* Mon May  2 2016 axel.braun@gmx.de 
- Tryton Release 4.0
* Mon Oct 19 2015 axel.braun@gmx.de 
- Tryton Release 3.8
* Wed Apr 15 2015 axel.braun@gmx.de 
- Tryton Release 3.6
* Fri Oct 25 2013 axel.braun@gmx.de
- new branch 3.0
* Thu May  2 2013 axel.braun@gmx.de
- initial build
